%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Totem Pole Single-phase rectifier with FAE TN113
% Copyright imperix ltd, 2024
% dev@imperix.ch
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

fsw = 50e3 ;    % switching frequency [Hz]
Ts = 1/fsw;     % switching period [s]

f0 = 50;        % grid frequency [Hz]

Cdc = 1.56e-3;  % DC link capacitor [F]
Lg = 250e-6;    % AC-side inductor (grid) [H]
Rg = 50e-6;     % ESR of the AC-side inductor (grid) [Ohm]